Loading...
Searching...
No Matches
volk_16i_32fc_dot_prod_32fc.h File Reference
`#include <stdio.h>`
`#include <volk/volk_common.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Functions

static void | volk_16i_32fc_dot_prod_32fc_generic (lv_32fc_t *result, const short *input, const lv_32fc_t *taps, unsigned int num_points)
static void | volk_16i_32fc_dot_prod_32fc_neon (lv_32fc_t *result, const short *input, const lv_32fc_t *taps, unsigned int num_points)

## Function Documentation

## volk_16i_32fc_dot_prod_32fc_generic()

void volk_16i_32fc_dot_prod_32fc_generic | ( | lv_32fc_t * | result,
|  | const short * | input,
|  | const lv_32fc_t * | taps,
|  | unsigned int | num_points )

inline static

## volk_16i_32fc_dot_prod_32fc_neon()

void volk_16i_32fc_dot_prod_32fc_neon | ( | lv_32fc_t * | result,
|  | const short * | input,
|  | const lv_32fc_t * | taps,
|  | unsigned int | num_points )

inline static